AnnotationVisitorTee (cglib (Version 2.2.2))
Date: 2016-02-03

net.sf.cglib.transform

## Class AnnotationVisitorTee

- java.lang.Object
- - net.sf.cglib.transform.AnnotationVisitorTee

- All Implemented Interfaces:
    org.objectweb.asm.AnnotationVisitor

      public class AnnotationVisitorTee
      extends java.lang.Object
      implements org.objectweb.asm.AnnotationVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationVisitorTee(org.objectweb.asm.AnnotationVisitor av1, org.objectweb.asm.AnnotationVisitor av2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.objectweb.asm.AnnotationVisitor` | `getInstance(org.objectweb.asm.AnnotationVisitor av1, org.objectweb.asm.AnnotationVisitor av2)`
    `void` | `visit(java.lang.String name, java.lang.Object value)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String name, java.lang.String desc)`
    `org.objectweb.asm.AnnotationVisitor` | `visitArray(java.lang.String name)`
    `void` | `visitEnd()`
    `void` | `visitEnum(java.lang.String name, java.lang.String desc, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationVisitorTee

          public AnnotationVisitorTee(org.objectweb.asm.AnnotationVisitor av1,
                              org.objectweb.asm.AnnotationVisitor av2)

  - ### Method Detail

    - #### getInstance

          public static org.objectweb.asm.AnnotationVisitor getInstance(org.objectweb.asm.AnnotationVisitor av1,
                                                        org.objectweb.asm.AnnotationVisitor av2)

    - #### visit

          public void visit(java.lang.String name,
                   java.lang.Object value)

      Specified by:
        `visit` in interface `org.objectweb.asm.AnnotationVisitor`

    - #### visitEnum

          public void visitEnum(java.lang.String name,
                       java.lang.String desc,
                       java.lang.String value)

      Specified by:
        `visitEnum` in interface `org.objectweb.asm.AnnotationVisitor`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String name,
                                                            java.lang.String desc)

      Specified by:
        `visitAnnotation` in interface `org.objectweb.asm.AnnotationVisitor`

    - #### visitArray

          public org.objectweb.asm.AnnotationVisitor visitArray(java.lang.String name)

      Specified by:
        `visitArray` in interface `org.objectweb.asm.AnnotationVisitor`

    - #### visitEnd

          public void visitEnd()

      Specified by:
        `visitEnd` in interface `org.objectweb.asm.AnnotationVisitor`

Copyright (c) 2001 - Apache Software Foundation